FROM alpine:latest

WORKDIR /app

# Copy in your prebuilt Go binary (from local ./backend/bin/backend)
COPY bin/backend ./backend

# Copy env file if you want to bake it in (or mount via volume/env_file in compose)
COPY .env ./

EXPOSE 8080

ENTRYPOINT ["./backend"]
